package com.jz.dmp.modules.service;

import javax.servlet.http.HttpServletRequest;

import com.jz.common.constant.JsonResult;
import com.jz.common.page.PageInfoResponse;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevExamplesListDto;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevExamplesListReq;
import com.jz.dmp.modules.controller.bean.DmpDevelopTaskDto;
import com.jz.dmp.modules.controller.bean.DmpDevelopTaskRequest;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevTaskListDto;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevTaskListReq;
import com.jz.dmp.modules.model.DmpDevelopTask;

/**
 * 任务开发(DmpDevelopTask)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-22 16:37:56
 */
public interface DmpDevelopTaskService {


    JsonResult submitSyncing(DmpDevelopTask task) throws Exception;

    /**
     * 数据运维-数据开发任务列表分页查询
     *
     * @return
     * @author Bellamy
     * @since 2021-01-13
     */
    PageInfoResponse<DataDevTaskListDto> queryDevTaskListPage(DataDevTaskListReq req) throws Exception;

    /**
     * 数据运维-执行任务
     *
     * @return
     * @author Bellamy
     */
    JsonResult runTaskByTaskId(String taskId) throws Exception;

    /**
     * 数据运维-数据开发实例列表分页查询
     *
     * @return
     * @author Bellamy
     * @since 2021-01-14
     */
    PageInfoResponse<DataDevExamplesListDto> queryDevExamplesListPage(DataDevExamplesListReq req) throws Exception;

    /**条件分頁查询所有任务开发
	 * @param dmpDevelopTaskRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public com.jz.common.bean.PageInfoResponse<DmpDevelopTaskDto> findListWithPage(DmpDevelopTaskRequest dmpDevelopTaskRequest, HttpServletRequest httpRequest)throws Exception;

}